not able to generate plugin in redmine 0.8.3

Added by simham p over 8 years ago

HI,

I am trying to generate redmine_plugin in redmine 0.8.3. I am giving the commnad as follows

D:\web\redmine-0.8.3>ruby script/generate redmine-plugin test

and getting the following error.

undefined method `collect' for #<Gem::Version::Requirement:0x45a0614>

is this problem with rails 2.1.2 or redmine.

Please help me in soving this

thanks in advance

Replies (3)

RE: not able to generate plugin using redmine_plugin in redmine 0.8.3 - Added by simham p over 8 years ago

simham p wrote:

HI,

I am trying to generate redmine_plugin in redmine 0.8.3. I am giving the commnad as follows

D:web

edmine-0.8.3>ruby script/generate redmine-plugin test

and getting the following error.

undefined method `collect' for #<Gem::Version::Requirement:0x45a0614>

is this problem with rails 2.1.2 or redmine.

Please help me in soving this

thanks in advance

RE: not able to generate plugin in redmine 0.8.3 - Added by Alfred Dworazik over 8 years ago

Hi,

I have the same problem with redmine 0.8.4. Any solutions?

RE: not able to generate plugin in redmine 0.8.3 - Added by Alfred Dworazik over 8 years ago

I found a solution: after upgrade of ruby gems to version 1.3.4 (before it was 0.9.4) everything works fine

(1-3/3)